%define upstream_name    JavaScript-Minifier-XS
%define upstream_version 0.11

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    XS based JavaScript minifier
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/JavaScript/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Module::Build::Compat)
BuildRequires: perl-devel

%description
'JavaScript::Minifier::XS' is a JavaScript "minifier"; its designed to
remove un-necessary whitespace and comments from JavaScript files, which
also *not* breaking the JavaScript.

'JavaScript::Minifier::XS' is similar in function to
'JavaScript::Minifier', but is substantially faster as its written in XS
and not just pure Perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.110.0-4.mga6
+ Revision: 1028819
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.110.0-3.mga6
+ Revision: 957578
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.110.0-2.mga6
+ Revision: 843125
- Rebuild for perl 5.22

* Sun Jun 21 2015 sander85 <sander85> 0.110.0-1.mga6
+ Revision: 837065
- update to 0.11

* Wed Oct 15 2014 umeabot <umeabot> 0.90.0-8.mga5
+ Revision: 742098
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.90.0-7.mga5
+ Revision: 731948
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.90.0-6.mga5
+ Revision: 685150
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 pterjan <pterjan> 0.90.0-5.mga5
+ Revision: 631338
- Rebuild for perl 5.20

* Sat Oct 19 2013 umeabot <umeabot> 0.90.0-4.mga4
+ Revision: 524407
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.90.0-3.mga4
+ Revision: 430768
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 368826
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 0.90.0-1.mga3
+ Revision: 335129
- imported package perl-JavaScript-Minifier-XS


* Tue Dec 25 2012 cpan2dist 0.09-1mga
- initial mageia release, generated with cpan2dist
